Posted by on in News

YAML 4 was released in January. That was very close after the first JYAML 4 release. That's a reason why currently JYAML based on YAML 3.

Currently the work for JYAML 4.5.0 is in progress (~80-90% finished) and a first version of a migration script for YAML3 to YAML4 is in work, too.

But the next thing is...
On 12th June, Joomla! has blogged here official information's and release dates for the coming Joomla! 3.0. The stable release is planned on 15th September and comes with Twitter Bootstrap as base HTML/CSS-Framework.

What does this mean for YAML 4 integration?

In this case JYAML with the YAML4 integration will be public as close as possible -after- the Joomla! 3.0 stable release to avoid duplicate working processes.

jQuery, Twitter Bootstrap?

Joomla! 3.0 comes with the Twitter Bootstrap CSS/HTML Framework, that requires jQuery. So I've decided to convert all MooTools scripts as jQuery Plugins in a most compatible way.

Is an Upgrade/Migration possible?

Basicly YES.

  • Migration script from YAML3 to YAML4 is in development: The migration script does search and replace all required CSS classes (files and database) to the new YAML 4 version including backups for restore. So the most things can be done automatically, i hope. But minor manual changes in most cases will always be necessary.
  • Update from Joomla! 2.5 to Joomla! 3.0: Currently i don't know exactly how the Joomla changes the core CSS classes and component templates. But i think someone write a guide in the Joomla! Documentation Wiki. Here, i think, are the most manual adjustments will be necessary, regardless of JYAML. This can say no one exactly for now.

In summary

  • JYAML 4.5.0 with YAML4 is in development and will be released as close as possible to the Joomla! 3.0 release.
  • A migration script from YAML3 to YAML4 is included in the upgrade process.
  • All MooTools scripts will be converted to jQuery Plugins.
Continue reading

Posted by on in News

In Joomla! 2.5.1 the issues i have written here are still exists.

If you update from Joomla! 2.5.0 to 2.5.1 you need to download the current build of the JYAML System Plugin (Version 4.0.1) and re-install it.
After this, the issues solved again.

Btw.: My Pull Requests of these bugs are commited and fixed on the Joomla! Platform on Github. I hope it will be merged to the Joomla! CMS in the next version.

Continue reading

Posted by on in News

First of all...

Joomla! 2.5.0 has issues within the template and package installer!

I recommend to wait for the next Joomla! 2.5 version. I hope the fixes are included in 2.5.1.
Of course, you can use Joomla! 2.5.0 on a new installation, but it is dangerous if you update a existing template or a package includes a template.
This is a general issue and not only affected with JYAML. 

You can follow the sate of the bugs on Github:

If you want to update to Joomla 2.5.0. And when you need to update JYAML, you must do following steps.

  1. Update only the JYAML Framework Library (manually or within the extension manager)
  2. Update only the JYAML Framework System Plugin (manually or within the extension manager)
  3. Do not update the JYAML Template or the Package. If you do this, the template can be overwritten, your changes can be lost and Joomla create duplicate database entries.
  4. At least, open the template settings in the template manager, open the Upgrade tab and proceed the upgrade as described in the documentation.

JYAML and the great new YAML4 Framework

I'm currently work hard to implement YAML4. I do all and make many notes to make a update script to replace major things from YAML3. 

JYAML with YAML4 becomes the Version 4.5.0. I hope to i can release the version at end of February.

If you have made a template with JYAML4.0, with many adjustments you can send me your template folder as archive via E-Mail, if you would.
Because i need this to test the update script.

Continue reading

Posted by on in News

The Joomla! Template Framework JYAML is now available as Release Candidate 1.

There have been no major changes. It have been fixed few bugs, implemented a accessible accordion with corresponding module style(chrome) and added a equal height method for MooTools based on YAML syncheight for jQuery.

Continue reading

Posted by on in News

Now you can start to build Joomla! 1.6 templates with YAML.

Major Changes:

  • JYAML Component removed. The template is now configurable in the template manager.
  • Added JYAML Library. This is the main framework and includes all core files.
  • Removed Designs and their folder structure. Because Joomla1.6 can handle multiple Template styles.
  • jQuery removed by default. All script rewritten for MooTools and MooTools-More.
  • All basemod_colX.css and patch_colX.css files are removed. Column order etc. now defined with the dynamic body css classes.
  • For better overview all CSS subdirectories are removed. Instead the filenames has prefix names now.
Continue reading